Results 1 to 9 of 9

Thread: Firefox 5.0.1 but OS uses 3.6.18

  1. #1
    Join Date
    Jul 2008
    Location
    So. Cal
    Posts
    45

    Default Firefox 5.0.1 but OS uses 3.6.18

    okay new to 11.3 like 9.3 pro the best

    question:
    using yast to update my apps like firefox it only goes to version 3.6.18 but firefox is now at version 5.0.1

    which one should i be using on my OpenSuse 11.3?
    Noob - I know

    Dell Laptop Insiron 9300 1.8ghz 1gig ram 40HDD ATI M300
    MacBook 1.2ghz 1gig 160HDD VirtualBox Suse 11

  2. #2
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: Firefox 5.0.1 but OS uses 3.6.18

    If you are using openSUSE 11.3, you need to add the following repository URL: YaST / Software / Software Repository

    Index of /repositories/mozilla/openSUSE_11.3/x86_64

    Then, you need to search for Firefox in YaST: YaST / Software / Software Management

    Go to the Versions Tab and you should find two versions, 3 and 5. Set the bullet from 3 to version 5 and accept any other dependencies this change requires.

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  3. #3
    Join Date
    Jul 2008
    Location
    So. Cal
    Posts
    45

    Default Re: Firefox 5.0.1 but OS uses 3.6.18

    okay thanks for the help......what i did

    yast-->software repositories-->add button-->specify URL...-->next button-->

    gave a name firefox
    copied URL you have posted

    get a box prompt

    unable to creat repository
    from URL Index of /repositories/mozilla/openSUSE_11.3/x86_64

    change the URL and try again

    so what did i do wrong
    Noob - I know

    Dell Laptop Insiron 9300 1.8ghz 1gig ram 40HDD ATI M300
    MacBook 1.2ghz 1gig 160HDD VirtualBox Suse 11

  4. #4
    Join Date
    Jul 2008
    Location
    So. Cal
    Posts
    45

    Default Re: Firefox 5.0.1 but OS uses 3.6.18

    oh noticed the url is 64 when i have an ix86_32.....i did add mozilla from the community directory

    default director:
    /repositories/mozilla/openSUSE_11.3/
    works
    tried to add ix86:
    /repositories/mozilla/openSUSE_11.3/i586/
    get same error as
    /repositories/mozilla/openSUSE_11.3/x86_64/

    well the directory
    /repositories/mozilla/openSUSE_11.3/
    contains the firefox 5 RPM
    MozillaFirefox-5.0-6.1.i586.rpm

    guess i will just manually download and use rpm file

    thanks again
    Noob - I know

    Dell Laptop Insiron 9300 1.8ghz 1gig ram 40HDD ATI M300
    MacBook 1.2ghz 1gig 160HDD VirtualBox Suse 11

  5. #5
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: Firefox 5.0.1 but OS uses 3.6.18

    Here is the exact URL and should work with 32 or 64 bit.
    Code:
    "http://download.opensuse.org/repositories/mozilla/openSUSE_11.3/"
    Do not include the quotes " " in the name when you add it to your repositories.

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  6. #6
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,732

    Default Re: Firefox 5.0.1 but OS uses 3.6.18

    Your very question was:
    which one should i be using on my OpenSuse 11.3?
    The answer you got is about how to install FF 5. Not about what you "should use".

    This is Linux. You have a lot of possibities and choices, but we do not tell you what you should use. That is up to you. FF as delivered with openSUSE 11.3 is the one in the OSS and Update repos that belong to openSUSE 11.3. It is up to you if you want to use another level. It is up to you if you think you need that, like that more, think it is more secure or for whatever reason. And I guess many people use it without problems. But it is NOT the "official" openSUSE 11.3 version of FF.

    BTW on openSUSE 11.4 we have now FF 5.0 in the Update repo, is something similar not done to openSUSE 11.3?
    Henk van Velden

  7. #7
    Join Date
    Jul 2008
    Location
    So. Cal
    Posts
    45

    Default Re: Firefox 5.0.1 but OS uses 3.6.18

    @hvcc - TY

    that was very informative now i understand why i could only go to FF 3.6.18 and you explain if i should use FF5.0

    i have another question about OpenSuse version but will put that in another post

    @jdmcdaniel3
    TY for your help the adding of the URL was done as I had already added it but the FF version 5 does not come up......no worries though

    Thanks again everyone.....i am using FF5.0 install using RPM
    Noob - I know

    Dell Laptop Insiron 9300 1.8ghz 1gig ram 40HDD ATI M300
    MacBook 1.2ghz 1gig 160HDD VirtualBox Suse 11

  8. #8
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: Firefox 5.0.1 but OS uses 3.6.18

    @jdmcdaniel3
    TY for your help the adding of the URL was done as I had already added it but the FF version 5 does not come up......no worries though

    Thanks again everyone.....i am using FF5.0 install using RPM
    If you have added the Mozilla Repository, I think you are missing the point of how to upgrade. You must open YaST / Software / Software Management and search on firefox. Once found, go to the Version's Tab. There, you will find bullets you can set to install different versions of Firefox. You will have a bullet set for version 3 and a place you could set the bullet for version 5. Several Firefox versions will exist, but only one is installed and only one other is the correct one for you to install a version 5 upgrade. You must select the correct 32 or 64 bit version for your installed openSUSE copy. Once set, select OK and allow the new version of Firefox to be installed.

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  9. #9
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,732

    Default Re: Firefox 5.0.1 but OS uses 3.6.18

    Like @jdmcdaniel3 explains, YaST does not change Vendor (to another repo) for a product you have installed, even if a newer version exists in another repo (from another Vendor). You must force YaST to do that.
    Henk van Velden

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •